
$(document).ready(function() {

    var hops = []

    function update_ssh() {
        var ssh_command = hops.map(function(username) { return 'ssh -A -t ' + username; }).join(' ');
        $('#ssh input').attr('value', ssh_command);

        var data_url = 'data:x-application/junkyardmap;base64,' + btoa(JSON.stringify({hops: hops}));
        $('#ssh a').attr('href', data_url)
    }

    $('.box .users a').on('click', function(evt) {
        evt.preventDefault();
        hops.push($(this).data('username'));
        update_ssh();
    });

    $('#ssh button').on('click', function() {
        hops.pop();
        update_ssh();
    });

    // clear attribute, to avoid inconsistency
    $('#ssh input').attr('value', '');

});
